### Constructor

# GimpUi DrawablePreview new_from_drawable

#### Declaration [src]

    GtkWidget*
    gimp_drawable_preview_new_from_drawable (
      GimpDrawable* drawable
    )

#### Description [src]

Creates a new `GimpDrawablePreview` widget for `drawable`.

Available since: | 2.10

#### Parameters

`drawable` | `GimpDrawable`
| A drawable.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A pointer to the new `GimpDrawablePreview` widget.
| The data is owned by the called function.